Get environments for service
Base URL
https://{kibana_url}
GET
/api/apm/settings/agent-configuration/environments
GET
/s/{space_id} /api/apm/settings/agent-configuration/environments
Auth
Retrieve the available environments for a given service, to be used in agent configuration. You must have read privileges for the APM and User Experience feature in Kibana. If serviceName is omitted, environments across all services are returned.
Expand all
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
serviceName
string
The name of the service. If omitted, environments across all services are returned.
Example:
opbeans-node
The version of the API to use
Values:
2023-10-31
environments
object []
Service environment list
+
Show 2 properties
alreadyConfigured
boolean
Already configured
name
string
Service environment name
message
string
Error message
statusCode
number
Error status code
message
string
Error message
statusCode
number
Error status code
message
string
Error message
statusCode
number
Error status code